Package org.apache.sysds.runtime.io.cog

# Enum Class TIFFDataTypes

java.lang.Object
java.lang.Enum<TIFFDataTypes>
org.apache.sysds.runtime.io.cog.TIFFDataTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<TIFFDataTypes>`, `Constable`

public enum TIFFDataTypes extends Enum<TIFFDataTypes>
Enum for mapping data types of IFD tags in TIFF to readable names

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASCII`
`BYTE`
`DOUBLE`
`FLOAT`
`IFD8`
`LONG`
`LONG8`
`RATIONAL`
`SBYTE`
`SHORT`
`SLONG`
`SLONG8`
`SRATIONAL`
`SSHORT`
`UNDEFINED`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSize()`
`int`
`getValue()`
`static TIFFDataTypes`
`valueOf(int value)`
Returns the enum constant of this class with the specified name.
`static TIFFDataTypes`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TIFFDataTypes[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BYTE

public static final TIFFDataTypes BYTE

### ASCII

public static final TIFFDataTypes ASCII

### SHORT

public static final TIFFDataTypes SHORT

### LONG

public static final TIFFDataTypes LONG

### RATIONAL

public static final TIFFDataTypes RATIONAL

### SBYTE

public static final TIFFDataTypes SBYTE

### UNDEFINED

public static final TIFFDataTypes UNDEFINED

### SSHORT

public static final TIFFDataTypes SSHORT

### SLONG

public static final TIFFDataTypes SLONG

### SRATIONAL

public static final TIFFDataTypes SRATIONAL

### FLOAT

public static final TIFFDataTypes FLOAT

### DOUBLE

public static final TIFFDataTypes DOUBLE

### LONG8

public static final TIFFDataTypes LONG8

### SLONG8

public static final TIFFDataTypes SLONG8

### IFD8

public static final TIFFDataTypes IFD8

## Method Details

### values

public static TIFFDataTypes[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TIFFDataTypes valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()

### getSize

public int getSize()

### valueOf

public static TIFFDataTypes valueOf(int value)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null